# Rotation(KeyingSetInfo)

base classes — `bpy_struct`, `KeyingSetInfo`

class `bpy.types.``Rotation`(KeyingSetInfo)
  static `generate`(ksi, context, ks, data)
  static `iterator`(ksi, context, ks)
  static `poll`(ksi, context)

Inherited Properties

`bpy_struct.id_data` `KeyingSetInfo.bl_idname` `KeyingSetInfo.bl_label` | `KeyingSetInfo.bl_description` `KeyingSetInfo.bl_options`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` | `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values` `KeyingSetInfo.poll` `KeyingSetInfo.iterator` `KeyingSetInfo.generate`